import { jsx } from "react/jsx-runtime";
import { TokenEPIC as TokenEPIC$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenEPIC = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "EPIC", "data-name": "TokenEPIC", ...props, children: /* @__PURE__ */ jsx(TokenEPIC$1, { variant }) });
  }
);
TokenEPIC.displayName = "TokenEPIC";
Object.assign(TokenEPIC, { isGdsIcon: true });
export {
  TokenEPIC
};
